
/* mobile nav */

.header-wrap { padding:24px 0; background-color:var(--cms-blue); }
.nav-relative { display:block; }

.nav-hold { width:100%; height:60px; }
.nav-logo { float:left; width:167px; height:60px; }
.nav-logo a { display:block; width:167px; height:60px; }
.nav-toggle a { float:right; font-size:24px; line-height:60px; color:var(--cms-white); }
.nav-toggle a:hover { color:var(--cms-white);  }

#nav-drawer { display:none }

#primary-nav { padding-top:36px; }
#primary-nav ul { margin:0; padding:0; }  
#primary-nav ul li { list-style: none; margin:0; padding:0; width:100%; }
#primary-nav ul li.leaf-search { display:none; }
#primary-nav ul li div.menu-set { display:table; border-top:1px solid var(--cms-teal); width:100%; }
#primary-nav ul li div.menu-set a {
  display:table-cell;
  width:90%;
  text-align:left;
  vertical-align:top;
  padding:18px 0px;
  color:var(--cms-white);
  font-size:20px;
  line-height:1.5;
  font-weight:700;
  letter-spacing:0.050rem;
  text-transform:uppercase;
  text-decoration:none;
}

#primary-nav ul li div.menu-set a.subnav-toggle { width:10%; text-align:right; }
#primary-nav ul li div.menu-set a:hover { color:var(--cms-white); }

#primary-nav ul ul { display:none; margin:0; padding:2px 0px 24px 0px; }

#primary-nav ul li ul li a { /*dropdowns*/
  display: block;
  padding:12px 4px 12px 20px;
  font-size:20px;
  line-height:1.5rem;
  font-weight:400;
  text-transform:none;
  color:var(--cms-white);
  text-decoration:none;
}

#primary-nav ul li ul li a:hover { color:var(cc-pnav-hover); }

#secondary-nav { padding-bottom:16px; }

.nav-utility { display:table; width:100%; margin:30px 0 0 0; }
.nav-weather { display:table-cell; width:110px; height:50px; vertical-align:middle; }
.nav-search { display:table-cell; width:auto; height:50px; vertical-align:middle; }

.nav-weather-pill { background-color:var(--cms-blue); border:1px solid var(--cms-teal); color:white; border-radius:32px; width:90px; font-size:16px; line-height:50px; font-weight:700; text-align:center; }


.nav-search { color:inherit; }

#site-search {
  display:table;
  width:100%;	
  background-color:var(--cms-blue);
  padding:0px 24px;
  margin:0;
  border:1px solid var(--cms-teal);
  border-radius:32px;
  text-align:left;
}

#site-search input[type="text"]{
  display:table-cell;	
  font-size:16px;
  line-height:50px;
  color:var(--cms-white);
  background:transparent;
  border:none;
  padding:0;
  margin:0;
  width:90%;
  text-align:left;  
  vertical-align:middle;
  outline:0;
}

#site-search button {
  display:table-cell;
  font-size:16px;
  line-height:50px;
  color:var(--cms-white);
  background:transparent;
  border:none;
  margin:0;
  padding:0;
  width:10%;
  text-align:right;
  vertical-align:middle;
}

#site-search ::-webkit-input-placeholder { color:var(--cms-white); opacity: 0.9; }
#site-search :-moz-placeholder { color:var(--cms-white); opacity: 0.9; }
#site-search ::-moz-placeholder { color:var(--cms-white); opacity: 0.9; }
#site-search :-ms-input-placeholder { color:var(--cms-white); opacity: 0.9; }



/* desktop nav */

@media all and (min-width: 992px) {
  
  .header-wrap { padding:0; }
  .nav-relative { position:relative; width:100%; height:190px; }
  .nav-hold { display:block; position:absolute; top:30px; left:0px; width:250px; height:90px; }
  .nav-logo { float:left;width:250px; height:90px; }
  .nav-logo a { display:block; width:250px; height:90px; }
  .nav-toggle { display:none; }


   #nav-drawer { display:block!important; } /* slidetoggle fix */
  
  /* primary-nav */
   
  #primary-nav { position:absolute; bottom:10px; right:0px; width:auto; height:54px; padding:0; }
  #primary-nav ul { display:block; float:right; }
  #primary-nav ul li, #primary-nav ul li.leaf-search  { display:block; float:left; width:auto; }
  #primary-nav ul li div.menu-set { display:table; border:none; width:auto; }
  #primary-nav ul li div.menu-set a {
    width: auto;
    padding: 12px 22px 12px 22px;
  }
  
  #primary-nav ul li div.menu-set a.subnav-toggle { display:none; }
  #primary-nav ul li div.menu-set:hover a { color:var(--cms-white); }

  #primary-nav ul li:hover a { background-color:var(--cms-blue); }
  #primary-nav ul li a:hover { color:var(--cms-white); }

  /* drop down lists */

  #primary-nav ul li ul { 
    position: absolute;
    width: 220px;
    height:auto;
    padding:20px 0px;
    background-color:var(--cms-blue);
    display:none;
  }

  #primary-nav ul li:hover > ul { display:block !important; left: auto; z-index:9999; } 
  @media all and (min-width: 992px) { #primary-nav li:last-child:hover > ul { right:0px; } }
  
  #primary-nav ul li ul li { width:200px; }
  #primary-nav ul li ul li a { 
    width:100%;
    padding:6px 24px;
    background-color:var(--cms-blue);
  }

  

  #secondary-nav { position:absolute; top:20px; right:20px; width:auto; padding:0; }
   

.nav-utility { display:table; width:250px; margin:0; }
.nav-weather { display:table-cell; width:90px; height:30px; vertical-align:middle; }
.nav-search { display:table-cell; width:auto; height:30px; vertical-align:middle; }

.nav-weather-pill { background-color:var(--cms-blue); border:1px solid var(--cms-teal); color:white; border-radius:32px; width:70px; font-size:14px; line-height:30px; font-weight:700; text-align:center; }


.nav-search { color:inherit; }

#site-search {
  display:table;
  width:100%;	
  background-color:var(--cms-blue);
  padding:0px 16px;
  margin:0;
  border:1px solid var(--cms-teal);
  border-radius:32px;
  text-align:left;
}

#site-search input[type="text"]{
  display:table-cell;	
  font-size:14px;
  line-height:30px;
  color:var(--cms-white);
  background:transparent;
  border:none;
  padding:0;
  margin:0;
  width:90%;
  text-align:left;  
  vertical-align:middle;
  outline:0;
}

#site-search button {
  display:table-cell;
  font-size:14px;
  line-height:30px;
  color:var(--cms-white);
  background:transparent;
  border:none;
  margin:0;
  padding:0;
  width:10%;
  text-align:right;
  vertical-align:middle;
}

#site-search ::-webkit-input-placeholder { color:var(--cms-white); opacity: 0.9; }
#site-search :-moz-placeholder { color:var(--cms-white); opacity: 0.9; }
#site-search ::-moz-placeholder { color:var(--cms-white); opacity: 0.9; }
#site-search :-ms-input-placeholder { color:var(--cms-white); opacity: 0.9; }
 

}

@media all and (min-width: 1220px) {
.nav-relative { height:150px; }
}